<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.BuildingGroup</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: BuildingGroup">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.BuildingGroup" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.BuildingGroup</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#affectHousingToBG(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">affectHousingToBG</a></span>&#8203;(java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;&nbsp;lB,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Affect an housing repartition for every #buildingGroup and recalculate roomLeft once housing have been affected.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">generateBuildingGroup</a></span>&#8203;(java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisSFC)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#importBuildingGroup(java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;buildingGroupICI)</code></th>
<td class="col-last">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#importBuildingGroup(java.io.File,boolean,java.util.List)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;buildingGroupICI,
boolean&nbsp;regenerateEntrance,
java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;addresses)</code></th>
<td class="col-last">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#importBuildingGroup(java.io.File,java.io.File,java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile)</code></th>
<td class="col-last">
<div class="block">Generate new BuildingGroup from sources.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#importBuildingGroup(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile,
java.io.File&nbsp;apurFile,
java.io.File&nbsp;workingPlaceFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Generate new BuildingGroup from sources and generate housing.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#affectHousingToBG(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">affectHousingToBG</a></span>&#8203;(java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;&nbsp;lB,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Affect an housing repartition for every #buildingGroup and recalculate roomLeft once housing have been affected.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
